diff options
author | Matthias Andree <matthias.andree@gmx.de> | 2012-04-01 15:33:49 +0200 |
---|---|---|
committer | Matthias Andree <matthias.andree@gmx.de> | 2012-04-01 15:34:54 +0200 |
commit | e4ef077fdad22286502ae485b7b8f7ca88fd49dd (patch) | |
tree | 3e93d04a81d3c568a86c05128e71b090cedde9c9 | |
parent | d18de31f1c80f553996a85c325456f8f4f0cf927 (diff) | |
download | fetchmail-e4ef077fdad22286502ae485b7b8f7ca88fd49dd.tar.gz fetchmail-e4ef077fdad22286502ae485b7b8f7ca88fd49dd.tar.bz2 fetchmail-e4ef077fdad22286502ae485b7b8f7ca88fd49dd.zip |
Validate XHTML 1.0 stuff even when skipping 1.1.
-rw-r--r-- | Makefile.am | 2 | ||||
-rwxr-xr-x | t.validate-xhtml | 11 | ||||
-rwxr-xr-x | t.validate-xhtml10 | 28 |
3 files changed, 31 insertions, 10 deletions
diff --git a/Makefile.am b/Makefile.am index 02f4da76..129d0be3 100644 --- a/Makefile.am +++ b/Makefile.am @@ -50,7 +50,7 @@ DEPENDENCIES= libfm.a $(LIBOBJS) check_PROGRAMS= -TESTS= t.smoke t.validate-xhtml t.x509_name_match +TESTS= t.smoke t.validate-xhtml10 t.validate-xhtml t.x509_name_match TESTS_ENVIRONMENT= srcdir="$(srcdir)" LC_ALL=C TZ=UTC SHELL="$(SHELL)" $(SHELL) if NEED_TRIO diff --git a/t.validate-xhtml b/t.validate-xhtml index 79649481..8eeafcc6 100755 --- a/t.validate-xhtml +++ b/t.validate-xhtml @@ -7,13 +7,6 @@ e=0 fail= IFS=$(printf '\n\t') -# smoke test validator for XHTML 1.0 Transitional, and skip if it fails -cat - <<'_EOF' | xmllint 2>/dev/null --nonet --postvalid --noout - || exit 77 -<?xml version="1.0" encoding="US-ASCII"?> -<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> -<html xmlns="http://www.w3.org/1999/xhtml"> - <head><title /></head><body></body></html> -_EOF # ditto for XHTML 1.1 (asciidoc generates that) cat - <<'_EOF' | xmllint 2>/dev/null --nonet --postvalid --noout - || exit 77 <?xml version="1.0" encoding="US-ASCII"?> @@ -24,8 +17,8 @@ _EOF for i in "${srcdir}"/*.html ; do case "$i" in - */fetchmail-man.html) continue ;; -# */Mailbox-Names-UTF7.html) continue ;; + */Mailbox-Names-UTF7.html) ;; + *) continue ;; esac xmllint --postvalid --noout "$i" || { e=1 ; fail="$i${fail:+" "}$fail" ; } done diff --git a/t.validate-xhtml10 b/t.validate-xhtml10 new file mode 100755 index 00000000..a7cc9e6b --- /dev/null +++ b/t.validate-xhtml10 @@ -0,0 +1,28 @@ +#! /bin/sh + +# This test script validates all *.html files as XHTML. + +set -eu +e=0 +fail= +IFS=$(printf '\n\t') + +# smoke test validator for XHTML 1.0 Transitional, and skip if it fails +cat - <<'_EOF' | xmllint 2>/dev/null --nonet --postvalid --noout - || exit 77 +<?xml version="1.0" encoding="US-ASCII"?> +<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> +<html xmlns="http://www.w3.org/1999/xhtml"> + <head><title /></head><body></body></html> +_EOF + +for i in "${srcdir}"/*.html ; do + case "$i" in + */fetchmail-man.html) continue ;; + */Mailbox-Names-UTF7.html) continue ;; + esac + xmllint --postvalid --noout "$i" || { e=1 ; fail="$i${fail:+" "}$fail" ; } +done +if [ $e != 0 ] ; then + echo >&2 ">>>>> Invalid XHTML in files: ${fail}." +fi +exit $e |